import tabular as tb
import sys

import tools.qFunctions as q
import core.init


def getBehavData(rp):

    """
    Combines behavioral data into one large tabarray.
    
    **Parameters**
    
        rp: Namespace (required)
            Run parameters that are parsed from the command line
            
    """
    
    if rp.i != None: plotData = tb.tabarray(SVfile = rp.i)
    else:
        first = True
        for subjID in rp.subjID_list:
            if rp.runNo != None: add = '%02d_' %rp.runNo
            else: add = ''
            
            try: thisPath = core.init.paths['dataBehavDir'] %subjID
            except: thisPath = core.init.paths['dataBehavDir']
            fileList = q.listDir(thisPath, add + rp.runType + '.csv')
            if fileList == []:
                print 'ERROR: No matching data files found'
                sys.exit()
            
            if first: numRuns = len(fileList)
            else:
                if numRuns != len(fileList):
                    print 'WARNING: Number of runs (%d) ' %(len(fileList)) + \
                    'for subject %s ' %subjID + \
                    'is not %d as for the first subject' %numRuns                
            
            for i, thisFile in enumerate(fileList):
                newData = tb.tabarray(SVfile = thisFile)
                
                newData = newData.addcols([[i+1]*len(newData)], names = ['runNo'])
                if first:
                    plotData = newData
                    first = False
                else:
                    plotData = plotData.rowstack(newData)
                    
        #if not rp.noOutput: plotData.saveSV(rp.o)
        
    return plotData
    

def run(rp):

    """
    Plots behavioral results.
    
    **Parameters**
    
        rp: Namespace (required)
            Run parameters that are parsed from the command line
            
    """    
    
    name = rp.runType
    __import__(name)
    sys.modules[name].plot(rp, plotData = getBehavData(rp))