%% Takes stats.mat file and reassigns correct runs/folders/scans...

clear all
runTypes = {'main', 'loc', 'mer'};
subjDir = 'E:\data\confSup\confSup_09\';
fmriDir = [subjDir 'data_fmri\'];
paraDir = [subjDir 'para\'];

load([subjDir, 'jobs\stats.mat']);

for d = 1:size(runTypes,2)
    matlabbatch{d}.spm.stats.fmri_spec.dir = cellstr([subjDir 'analysis\' runTypes{d} '\']);
    allRuns = dir([fmriDir 'swra*' runTypes{d} '.img']);
    allParas = dir([paraDir 'para*' runTypes{d} '.mat']);
    allRegs = dir([fmriDir 'rp*' runTypes{d} '.txt']);
    for i = 1:size(matlabbatch{d}.spm.stats.fmri_spec.sess,2)
        for j = 1:size(matlabbatch{d}.spm.stats.fmri_spec.sess(1).scans,1)
            matlabbatch{d}.spm.stats.fmri_spec.sess(i).scans{j} = ...
                [fmriDir allRuns(i).name sprintf(',%d',j)];
        end;
        matlabbatch{d}.spm.stats.fmri_spec.sess(i).multi = cellstr([paraDir allParas(i).name]);
        matlabbatch{d}.spm.stats.fmri_spec.sess(i).multi_reg = cellstr([fmriDir allRegs(i).name]);
    end;
    
end;

save([subjDir, 'jobs\stats.mat'], 'matlabbatch');