import tabular as tb
from qFunctions import *

def sortJoin(x):
    x.sort()
    s = [str(item) for item in x]
    return ' '.join(s)

aggParam = ['cond','context','pos']
    
allParas = listDir('.','main.csv')
for thisPara in allParas:
    allData = tb.tabarray(SVfile = thisPara)
    agg = allData.aggregate(On = aggParam, AggFuncDict = {'trialNo':lambda x: sortJoin(x)})
    aggExtract = agg[['trialNo']+aggParam].extract()
    out = {'names': [], 'onsets': [], 'durations': []}
    for line in aggExtract:
        out['durations'].append('0')
        out['onsets'].append("[" + line[0] + "]")
        out['names'].append(line[2] + ' | ' + line[3])
    lenName = 0
    for name in out['names']:
        if len(name) > lenName:
            lenName = len(name)
    out['names'] = ["'" + it.ljust(lenName) + "'" for it in out['names']]
    outFileName = thisPara.split('_')[1:]
    outFileName = '_'.join(['para']+outFileName)
    outFileName = outFileName.split('.')[0]
    paraFile = open('../newpara/' + outFileName + '.m', 'w')
    for (key, item) in out.items():
        paraFile.write(key + " = {" + ", ".join(item) + "};\n")
    paraFile.write("save('" + outFileName + '.mat' +
        "', 'names', 'onsets', 'durations');")
    paraFile.close()
    