import tabular as tb
import numpy
from qFunctions import *

def sortJoin(x):
    x.sort()
    s = [str(int(item/5.)) for item in x]
    return ' '.join(s)

aggParam = ['cond','context']
    
allParas = listDir('.','loc.csv')
for thisPara in allParas:
    allData = tb.tabarray(SVfile = thisPara)
    block = numpy.zeros(len(allData['cond']), dtype=numpy.int)
    #blockNo = 0
    lastCond = -1
    for i, cond in enumerate(allData['cond']):
        if cond != lastCond:
            block[i] = 1
            lastCond = cond
        else:
            block[i] = 0
        
    
    allData = allData.addcols(block, names=['block'])
    
    agg = allData[allData['block']==1].aggregate(On = aggParam, AggFuncDict = {'onset': lambda x: sortJoin(x)})
    aggExtract = agg[['onset']+aggParam].extract()
    out = {'names': [], 'onsets': [], 'durations': []}
    for line in aggExtract:
        out['durations'].append('8')
        out['onsets'].append("[" + line[0] + "]")
        out['names'].append(line[2])# + ' | ' + line[3])
    lenName = 0
    for name in out['names']:
        if len(name) > lenName:
            lenName = len(name)
    out['names'] = ["'" + it.ljust(lenName) + "'" for it in out['names']]
    outFileName = thisPara.split('_')[1:]
    outFileName = '_'.join(['para']+outFileName)
    outFileName = outFileName.split('.')[0]
    paraFile = open('../newpara/' + outFileName + '.m', 'w')
    for (key, item) in out.items():
        paraFile.write(key + " = {" + ", ".join(item) + "};\n")
    paraFile.write("save('" + outFileName + '.mat' +
        "', 'names', 'onsets', 'durations');")
    paraFile.close()
    
