%% Takes a regressor file and splits it up into as many files as there are
%% runs
%% Note that you have to be sitting in the directory where this regressor
%% file is

clear;
%expPath = 'E:\Experiments\confSup\confSup_01\para';

% Extracts run numbers from smoothed runs
allRuns = dir('swra*.mat');
for runNo=1:size(allRuns,1)
    thisRun = allRuns(runNo).name;
    findUnder = strfind(thisRun,'_');
    findDot = strfind(thisRun,'.');
    allRunsNo{runNo} = thisRun(findUnder(size(findUnder,2)-1)+1:...
        findUnder(size(findUnder,2))-1);
    allRunsType{runNo} = thisRun(findUnder(size(findUnder,2))+1:...
        findDot(size(findDot,2))-1);

end;

% Finds out number of scans per run
scans = dir('swra*.mat');
loadScan = load(scans(1).name);
nScans = size(loadScan.mat,3);

% Load regressor file
regFile = dir('rp*.txt');
regressors = load(regFile.name);

% Splits regressor file into separate files
for r=1:size(allRunsNo,2)
    regressors_justOneRun(1:nScans,:) =...
        regressors((r-1)*nScans+1:(r-1)*nScans+nScans,:);
    newsave=['rp_' allRunsNo{r} '_' allRunsType{r} '.txt'];
    s = sprintf('save %s regressors_justOneRun -ascii',newsave);
    eval(s)
end;
